VMC USB Modem & glibc Problem

Dieses Thema im Forum "Anwendungen" wurde erstellt von thxwz, 15.10.2008.

  1. thxwz

    thxwz Grünschnabel

    Dabei seit:
    15.10.2008
    Beiträge:
    3
    Zustimmungen:
    0
    Hallo,

    bin grade dabei mich von MS zu verabschieden und auf Unix umzusteigen. Ich habe zwar ein paar Erfahrungen gesammelt aber steh gerade dennoch vor folgenden Problem:

    Ich habe ein USB Modem für Mobilfunknetz GPRS/UMTS und möchte diesen auf mneinem Debian 4.0 installieren und nutzen. Nachdem ich mir die Software vom Hersteller geladen habe, habe ich sie ausgeführt.

    Darauf erhielt ich folgendes

    Code:
    debian:/home/thxwz/Desktop# ./vodafone-mobile-connect-card-driver-for-linux-2.0.beta3-ALL-i386-installer.run
    Verifying archive integrity... All good.
    Uncompressing vmccdfl-2.0.beta3.......................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
    Copying files to /opt/vmc...
    Configuring the system...
    addgroup: Die Gruppe »vmc« existiert bereits.
    /opt/vmc/bin/gdk-pixbuf-query-loaders: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libgdk_pixbuf-2.0.so.0)
    /opt/vmc/bin/gdk-pixbuf-query-loaders: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libgobject-2.0.so.0)
    /opt/vmc/bin/gdk-pixbuf-query-loaders: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libgthread-2.0.so.0)
    /opt/vmc/bin/gdk-pixbuf-query-loaders: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libglib-2.0.so.0)
    /opt/vmc/bin/pango-querymodules: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libpangox-1.0.so.0)
    /opt/vmc/bin/pango-querymodules: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libpango-1.0.so.0)
    /opt/vmc/bin/pango-querymodules: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libfontconfig.so.1)
    /opt/vmc/bin/pango-querymodules: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libfreetype.so.6)
    /opt/vmc/bin/pango-querymodules: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libz.so.1)
    /opt/vmc/bin/pango-querymodules: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libgobject-2.0.so.0)
    /opt/vmc/bin/pango-querymodules: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libglib-2.0.so.0)
    /opt/vmc/bin/pango-querymodules: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libexpat.so.1)
    Installing direct access...
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libselinux.so.1)
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libsepol.so.1)
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libselinux.so.1)
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libsepol.so.1)
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libselinux.so.1)
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libsepol.so.1)
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libselinux.so.1)
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libsepol.so.1)
    mv: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libselinux.so.1)
    mv: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libsepol.so.1)
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libselinux.so.1)
    cp: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libsepol.so.1)
    Insert users allowed to use this application (space separated): thxwz
    id: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libselinux.so.1)
    id: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by /opt/vmc/lib/libsepol.so.1)
    Invalid user thxwz
    
    Installation complete!
    
    Use vodafone-mobile-connect-card-driver-for-linux command or the direct access in your Internet menu in order to run the application.
    debian:/home/thxwz/Desktop#
    
    
    Fragen:
    1. Welche Pakete benötige ich dafür? (Nur glibc 2.4?)
    2. Wie kann ich diese ohne direkte Internetanbindung installieren?
    3. Wieso nimmt er meinen User nicht an?

    Wäre nett wenn mir jemand weiter helfen könnte...

    Gruß Mx
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Athur Dent, 15.10.2008
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    Ich habe mich mal damit beschäftigt (UMTS / Linux) bin aber selber auch schon ein wenig raus, aber mit etwas gedult, sollten wir das schon hinbekommen.

    Ein paar Fragen habe ich aber noch.
    Wie sieht denn Deine möglichkeit ins Internet zu kommen überhaupt aus? Dualboot - über Windows?
    Womit hast Du Debian installiert CD - DVD, ist Dein Saugvolumen begrenzt oder hast Du die die möglichkeit irgendwo anders größere Volumen zu saugen?
    Verrate mir doch mal die genaue Bezeichnung Deines Modems und den link über den Du die Software dafür gezogen hast.

    Zur ersten Hilfe:

    http://packages.debian.org/de -> hier kannst Du Pakete herunterladen, die Abhängigkeiten sind dort auch beschrieben.

    Ich weiß von Suse 11, das es die meisten UMTS Modems mittlerweile selbstständig erkennt (soll jetzt aber nicht zum wechsel verleiten) und ich glaube lenny auch (bin mir aber nicht sicher) deswegen ist es überhaupt fragwürdig, ob Deine Software die richtige ist und es da nicht was in den Debian Quellen gibt.

    Eine andere (ältere) aber auch unter Debian etch funktionierende Methode wird hier beschrieben http://athurs-eck.gmxhome.de/


    [spass] gropiuskalle den hast Du doch angeheuert oder? [/spass]
     
  4. thxwz

    thxwz Grünschnabel

    Dabei seit:
    15.10.2008
    Beiträge:
    3
    Zustimmungen:
    0
    Hallo,

    - ins Internet gelange ich momentan über einen Windows Rechner mit dem selben USB Stick. Leider kann ich diese Connection nicht sharen. Doch die Netzwerkverbindung besteht grundsätzlich.

    - Ich habe mir die 20 Debian etch CD`s mitbringen lassen mit der ver. 4.0

    - Flatrate, hätte auch externe möglichkeit für DSL

    - Das Modem ist der E169 USB Stick von HUAWEI

    - Die Software müsste die Richtige sein. Quelle:
    https://forge.betavine.net/frs/?group_id=12&release_id=18
    ( vodafone-mobile-connect-card-driver-for-linux-2.0.beta3-ALL-i386-installer.run)

    Ps. Zum Code
    Habe es mehrmals probiert zu installieren, deshalb ist die Gruppe VMC schon vorhanden. Wobei ich seh grad das es ne beta Software ist. Ich teste mal ne ältere gleich.

    Erstmal schon mal danke fürs bemühen.

    Gruß
     
  5. #4 Athur Dent, 16.10.2008
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    Also am Vielversprechensten sieht dieser hier aus:
    vodafone-mobile-connect-card-driver-for-linux_1.99.17_i386.deb

    sollte es damit nicht klappen, gibt es zwei Möglichkeiten. Die erste ist aus Sourcen kompilieren (was für einen Anfänger recht hard und für mich unübersichtlich werden kann) oder wir gehen nach meiner Anleitung (Athurs-eck) vor. Diese hat natürlich den Vorteil das ich mich damit auskenne und wir (Du) nichts kompilieren müssen. Die einzige Hürde ist dabei die speziefischen Daten des Modems heraus zu filtern, aber auch das ist dort beschrieben. Der Rest sieht wilder aus, als er eigentlich ist und läuft im Großen und ganzen nur auf Copy & Paste hinaus.
    Solange ich meine Vodafone Easy Box hatte lief sie auch damit auf meinem Etch und aus meiner Forumserfahrung kann ich auch sagen,daß einige Huawei Besitzer damit glücklich wurden.

    Teste also erstmal den Treiber und sollte das nicht klappen, entscheide Dich für eine Möglichkeit. Ich werde täglich hier rein schauen und mich über den aktuellen Stand informieren und Dir helfend bei Seite stehen, das es keine dummen Fragen gibt, muß ich ja nicht erwähnen.
     
  6. thxwz

    thxwz Grünschnabel

    Dabei seit:
    15.10.2008
    Beiträge:
    3
    Zustimmungen:
    0
    Ok habs hinbekommen mit der testing version, danke nochmal für den treiber tipp!
     
Thema:

VMC USB Modem & glibc Problem

Die Seite wird geladen...

VMC USB Modem & glibc Problem - Ähnliche Themen

  1. Firmware der Technicolor TC72XX-Kabelmodems veröffentlicht

    Firmware der Technicolor TC72XX-Kabelmodems veröffentlicht: Ein wahrscheinlicher GPL-Verstoß der Firma Technicolor konnte jetzt beigelegt werden, nachdem das Unternehmen den Quellcode der Modems komplett...
  2. Wireless Sound Modem/Router mit Ralink RT5350

    Wireless Sound Modem/Router mit Ralink RT5350: Hai, ich habe hier ein Wireless Sound Modem/Router-Modul mit einem Ralink RT5350. Beim Booten meldet es: Starting kernel ... LINUX...
  3. Problem mit HSPA+ Modem Huawei E353 - Installation unmöglich?

    Problem mit HSPA+ Modem Huawei E353 - Installation unmöglich?: Hallo, Ich hoffe sehr dass mir hier jemand helfen kann :) ich versuche seit einiger Zeit leider erfolglos ein Huawei E353 USB-Modem unter Ubuntu...
  4. Modemsimulator gesucht

    Modemsimulator gesucht: Hallo, ich suche eine Möglichkeit unter Linux ein Modem zu emulieren welches folgende AT Befehle beherrschen soll: AT returns OK ATA...
  5. Modemsimulator gesucht

    Modemsimulator gesucht: Hallo, ich suche einen Modemsimulator der das ATA/RING/ATA Protokoll abhandeln kann. Für Linux bitte. Danke